##
##  ecl.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2016 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         ecl
Summary:      Embedded Common Lisp
URL:          https://common-lisp.net/project/ecl/
Vendor:       J. Ripoll, G. Attardi, T. Yuasa, M. Hagiya
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Language
License:      LGPL
Version:      16.1.3
Release:      20161219

#   list of sources
Source0:      https://common-lisp.net/project/ecl/static/files/release/ecl-%{version}.tgz

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  libffi, gc, gc::with_threads = yes, gmp
PreReq:       libffi, gc, gc::with_threads = yes, gmp

%description
    ECL is an implementation of the Common Lisp language as defined
    by the ANSI X3J13 specification. The most relevant features: a
    bytecodes compiler and interpreter; compiles Lisp also with any
    C/C++ compiler; it can build standalone executables and libraries;
    ASDF, Sockets, Gray streams, MOP, and other useful components.

%track
    prog ecl = {
        version   = %{version}
        url       = https://common-lisp.net/project/ecl/
        regex     = ecl-(__VER__)\.tgz
    }

%prep
    %setup -q

%build
    %{l_shtool} subst \
        -e 's;-lgc;-lgcthread;g' \
        src/configure
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --enable-boehm=system \
        --with-system-gmp \
        --with-gmp-prefix=%{l_prefix} \
        --without-x \
        --disable-shared
    %{l_make} %{l_mflags}

%install
    %{l_make} %{l_mflags} install DESTDIR=$RPM_BUILD_ROOT
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

